[med-svn] [Git][med-team/pyscanfcs][master] 7 commits: Update d/rules, tweak pybuild flags to install to a private dir, enable tests

Alexandre Mestiashvili gitlab at salsa.debian.org
Thu Sep 27 12:07:43 BST 2018


Alexandre Mestiashvili pushed to branch master at Debian Med / pyscanfcs


Commits:
6755f3b5 by Alexandre Mestiashvili at 2018-09-27T08:48:25Z
Update d/rules, tweak pybuild flags to install to a private dir, enable tests

- - - - -
14a2677f by Alexandre Mestiashvili at 2018-09-27T09:02:31Z
Install upstream tests to examples, needed for autopkgtest

- - - - -
351b29fc by Alexandre Mestiashvili at 2018-09-27T09:25:58Z
Update autpokgtest

- - - - -
86bbe40b by Alexandre Mestiashvili at 2018-09-27T09:41:42Z
Move and symlink start script, so it can find private python modules

- - - - -
5e666d65 by Alexandre Mestiashvili at 2018-09-27T10:53:10Z
Bump policy to 4.2.1, run wrap-and-sort

- - - - -
06f3e234 by Alexandre Mestiashvili at 2018-09-27T11:04:54Z
Update uploader's email

- - - - -
b8f7df79 by Alexandre Mestiashvili at 2018-09-27T11:07:29Z
Update changelog

Gbp-Dch: Ignore

- - - - -


8 changed files:

- debian/changelog
- debian/control
- debian/copyright
- debian/pyscanfcs.dirs
- debian/pyscanfcs.docs
- debian/rules
- debian/tests/control
- + debian/tests/upstream-tests


Changes:

=====================================
debian/changelog
=====================================
@@ -4,19 +4,26 @@ pyscanfcs (0.3.0+dfsg-1) UNRELEASED; urgency=medium
   * Added new d/u/metadata file
 
   [ Alexandre Mestiashvili ]
-  * Bump policy 4.1.4, update VCS-* fields to salsa
   * Update Files-Excluded list in d/copyright
   * New upstream version 0.3.0+dfsg
   * Drop patches applied by upstream
-  * Update build-deps, use python3 modules, apply wrap-and-sort
-  * Bump compat to level 11
-  * Update d/rules to use python3, cleanup dh_install target
+  * d/control:
+    - bump policy 4.1.4
+    - bump compat to level 11
+    - update VCS-* fields to salsa
+    - update build-deps, use python3 modules
+    - update uploader's email
+  * d/rules:
+    - use python3
+    - cleanup dh_install target
+    - archive and install tests to examples
+    - move and symlink start script
+    - tweak pybuild flags to install to a private dir
   * Update d/pyscanfcs.docs
   * Update d/source/options, ignore pyscanfcs/_version_save.py
-  * Update d/rules
-  * Update tests control file, use python3
+  * Use upstream tests for autopkgtests
 
- -- Alexandre Mestiashvili <mestia at debian.org>  Thu, 31 May 2018 16:07:07 +0200
+ -- Alexandre Mestiashvili <mestia at debian.org>  Thu, 27 Sep 2018 10:53:59 +0000
 
 pyscanfcs (0.2.3+dfsg-1) unstable; urgency=medium
 


=====================================
debian/control
=====================================
@@ -1,6 +1,6 @@
 Source: pyscanfcs
 Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
-Uploaders: Alexandre Mestiashvili <alex at biotec.tu-dresden.de>
+Uploaders: Alexandre Mestiashvili <mestia at debian.org>
 Section: python
 Priority: optional
 Build-Depends: cython3,
@@ -24,7 +24,7 @@ Build-Depends: cython3,
                texlive-latex-extra,
                texlive-latex-recommended,
                texlive-science
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/pyscanfcs
 Vcs-Git: https://salsa.debian.org/med-team/pyscanfcs.git
 Homepage: https://fcs-analysis.github.io/PyScanFCS/


=====================================
debian/copyright
=====================================
@@ -2,8 +2,8 @@ Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: PyScanFCS
 Source: https://github.com/FCS-analysis/PyScanFCS
 Files-Excluded:
- .appveyor/
- .travis/
+ .appveyor
+ .travis
  .appveyor.yml
  .travis.yml
  .readthedocs.yml


=====================================
debian/pyscanfcs.dirs
=====================================
@@ -1,2 +1,2 @@
-usr/share/pixmaps
 usr/share/applications/
+usr/share/pixmaps


=====================================
debian/pyscanfcs.docs
=====================================
@@ -1,2 +1,2 @@
-doc/PyScanFCS_doc.pdf
 README.rst
+doc/PyScanFCS_doc.pdf


=====================================
debian/rules
=====================================
@@ -10,9 +10,13 @@ DEB_DATE_RFC_3339 := $(shell date -u "--rfc-3339=seconds" -d "$(DEB_DATE_RFC_282
 PDFLATEX = pdflatex -synctex=1 -interaction=nonstopmode $(TEXDOC)
 FAKETIME = faketime -f "$(DEB_DATE_RFC_3339)"
 
+pkg := pyscanfcs
+export DH_VERBOSE=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export PYBUILD_NAME=$(pkg)
+export PYBUILD_INSTALL_ARGS_python3=--install-lib=/usr/lib/${PYBUILD_NAME}
+export PYBUILD_TEST_PYTEST=1
 
-pkg := pyscanfcs
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -35,13 +39,25 @@ override_dh_auto_build:
 
 override_dh_install:
 	dh_install
+	mv $(CURDIR)/debian/$(pkg)/usr/bin/pyscanfcs \
+           $(CURDIR)/debian/$(pkg)/usr/lib/$(pkg)/pyscanfcs_run
+	cd $(CURDIR)/debian/$(pkg)/usr/bin/; \
+        ln -s ../lib/$(pkg)/pyscanfcs_run pyscanfcs; cd -
 	mv debian/pyscanfcs.xpm \
 		debian/$(pkg)/usr/share/pixmaps
 	chmod -R 644 debian/$(pkg)/usr/share/doc/$(pkg)/examples/misc
 
 override_dh_fixperms:
 	dh_fixperms
-	chmod 644 debian/$(pkg)/usr/lib/python3/dist-packages/pyscanfcs/sfcs_alg.pyx
+	chmod 644 debian/$(pkg)/usr/lib/$(pkg)/pyscanfcs/sfcs_alg.pyx
 
 override_dh_compress:
 	dh_compress -X$(PDF)
+
+override_dh_installexamples:
+	tar --sort=name \
+            --mtime="@${SOURCE_DATE_EPOCH}" \
+            --owner=root --group=root --numeric-owner \
+            --mode=go=rX,u+rw,a-s \
+            -cJf $(CURDIR)/debian/$(pkg)/usr/share/doc/$(pkg)/examples/tests.tar.xz  tests/
+	dh_installexamples


=====================================
debian/tests/control
=====================================
@@ -1,3 +1,3 @@
-Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import pyscanfcs; print pyscanfcs" ; done
-Depends: python3-all, pyscanfcs
+Tests: upstream-tests
 Restrictions: allow-stderr
+Depends: @, python3-pytest


=====================================
debian/tests/upstream-tests
=====================================
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+# Use test.tar.xz from /usr/share/doc/pyscanfcs/examples/ if executed with
+# autopkgtest
+set -e
+pkg=pyscanfcs
+export PYTHONPATH=/usr/lib/${pkg}
+examplesdir=/usr/share/doc/${pkg}/examples
+TMPDIR=$(mktemp -d)
+trap "rm -rf $TMPDIR" 0 INT QUIT ABRT PIPE TERM
+tar -xf ${examplesdir}/tests.tar.xz -C $TMPDIR
+WORKDIR=${TMPDIR}
+
+cd $WORKDIR
+
+# Skip tests which need network access
+
+python3 -m pytest tests
+
+rm -rf $WORKDIR



View it on GitLab: https://salsa.debian.org/med-team/pyscanfcs/compare/b6464edf149e07ec6b73f889afeb09633ebb599a...b8f7df7968c8071145fc98356a6c31850c133c30

-- 
View it on GitLab: https://salsa.debian.org/med-team/pyscanfcs/compare/b6464edf149e07ec6b73f889afeb09633ebb599a...b8f7df7968c8071145fc98356a6c31850c133c30
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20180927/f725f572/attachment-0001.html>


More information about the debian-med-commit mailing list